declare class InputWithSelectPrefix extends Component<any, any, any> {
    constructor(props: any);
    state: {
        prefix: any;
        rest: any;
    };
    setPrefixAndRestFromValue(): void;
    componentDidUpdate(prevProps: any, prevState: any): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
declare namespace InputWithSelectPrefix {
    export { propTypes };
}
export default InputWithSelectPrefix;
import { Component } from "react";
declare namespace propTypes {
    let value: PropTypes.Requireable<string>;
    let prefixes: PropTypes.Requireable<(string | null | undefined)[]>;
    let defaultPrefix: PropTypes.Requireable<string>;
    let caseInsensitivePrefix: PropTypes.Requireable<boolean>;
    let onChange: PropTypes.Requireable<(...args: any[]) => any>;
    let placeholder: PropTypes.Requireable<string>;
}
import PropTypes from "prop-types";
